<?php
/**
 * $Horde: jonah/index.php,v 1.30 2005/01/03 14:35:06 jan Exp $
 *
 * Copyright 1999-2005 Charles J. Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 */

@define('JONAH_BASE', dirname(__FILE__));
$jonah_configured = (@is_readable(JONAH_BASE . '/config/conf.php') &&
                     @is_readable(JONAH_BASE . '/config/templates.php') &&
                     @is_readable(JONAH_BASE . '/config/prefs.php'));

if (!$jonah_configured) {
    require JONAH_BASE . '/../lib/Test.php';
    Horde_Test::configFilesMissing('Jonah', JONAH_BASE,
        array('conf.php', 'prefs.php'),
        array('templates.php' => 'This file defines the HTML (or other) templates that are used to generate different views of the news channels that Jonah provides.'));
}

require_once JONAH_BASE . '/lib/base.php';
if (Auth::getAuth()) {
    require JONAH_BASE . '/content.php';
} else {
    require JONAH_BASE . '/delivery/index.php';
}
